Page MenuHomePhabricator

Fix threads detection on GNU/Hurd
ClosedPublic

Authored by sthibaul on Nov 9 2018, 11:28 AM.

Details

Summary

GNU/Hurd provides standard Posix threads

Diff Detail

Repository
rCXX libc++

Event Timeline

sthibaul created this revision.Nov 9 2018, 11:28 AM
krytarowski accepted this revision.Nov 17 2018, 8:07 AM
This revision is now accepted and ready to land.Nov 17 2018, 8:07 AM

(I can't commit this myself)

ldionne requested changes to this revision.Nov 19 2018, 7:49 AM
ldionne added inline comments.
include/__config
1146

According to https://sourceforge.net/p/predef/wiki/OperatingSystems/, an equivalent way of checking that would be __gnu_hurd__. I would prefer that as it is more explicit. Otherwise LGTM.

This revision now requires changes to proceed.Nov 19 2018, 7:49 AM
krytarowski added inline comments.Nov 19 2018, 8:02 AM
include/__config
1146

__GNU__ is well established constant, used in the wild. I've never seen __gnu_hurd__ myself, it souds like __gnu_linux__...

ldionne accepted this revision.Nov 19 2018, 8:06 AM
ldionne added inline comments.
include/__config
1146

Ok.

This revision is now accepted and ready to land.Nov 19 2018, 8:06 AM
sthibaul marked 3 inline comments as done.Nov 20 2018, 12:28 PM
ldionne closed this revision.Nov 20 2018, 1:17 PM

Committed as r347347.